---
contrib_package_information: 1.0
# update_type added in by SL
update_type: enhancement

package: spl-dkms

licence: GPL

submitted_by:
    - name:  Chris Brown
      email: christopher.brown@med.ge.com
      primary_contact: Yes

    - name:  Dave Kraus
      email: Dave.Kraus@ge.com
      primary_contact: No

    - name:  Jonathan Schaaf
      email: jonathan.P.schaaf@ge.com
      primary_contact: No

    - name:  Jim Foris
      email: jim.foris@med.ge.com
      primary_contact: No

project_page: http://zfsonlinux.org
project_code: https://github.com/zfsonlinux/spl
release_date: 03/28/2013
release_announcement: https://groups.google.com/a/zfsonlinux.org/forum/?fromgroups=#!topic/zfs-announce/ZXADhyOwFfA

production_ready: Yes

explanation_of_hosting: >
    ZFS on Linux (ZOL) is currently manually added to HELiOS (Healthcare Enterprise Linux Operating System).
    HELiOS is a spin of Scientific Linux created and maintained by the GE Healthcare Compute Systems team (CST).
    HELiOS strives to be as upstream as possible thus including ZOL into SL helps us better maintain upstream 
    purity in HELiOS.
    Including ZOL in SL also allows the rest of the SL community to benefit from our work with ZOL.

release_description: >
    The ZFS on Linux project has reached an important milestone with the 
    official 0.6.1 release!  Over two years of use by real users has 
    convinced us ZoL is ready for wide scale deployment on everything from desktops to super computers.
    In addition to the usual bug fixes the 0.6.1 release introduces a new 
    property called 'snapdev'.  The 'snapdev' property was introduced to 
    control the visibility of zvol snapshot devices and may be set to 
    either 'visible' or 'hidden'.  When set to 'hidden', which is the 
    default, zvol snapshot devices will not be created under /dev/.
    To gain access to these devices the property must be set to 'visible'
    This behavior is analogous to the existing 'snapdir' property.

    Other significant changes include:
    * Added Linux 3.9 compatibility

    * Added snapdev property to control visibility of zvol snapshots.

    * Disabled old on-disk format warning for `zpool status -x`.

    * Enabled zfs_arc_memory_throttle_disable by default.

    * Improved slab object reclaim behavior.

    * Fixed disk cache flushing for 2.6.37 and newer kernels.

    * Fixed hot spare functionality.

    * Git <id>-<hash> included in release for working builds.

    * Updated dkms and kmod compliant packaging.

    * Added man pages for splat, fsck.zfs, mount.zfs, zhack,
      zinject, zpios, ztest, and zpool-features.

security_update: No
fixed_bugs: No
fixed_cves: No
rpms:
    - SL6_SRPMS:
        - spl-dkms-0.6.1-1.el6.src.rpm
    - SL6_noarch:
        - spl-dkms-0.6.1-1.el6.noarch.rpm

